# Generated by Django 3.1.1 on 2021-05-03 00:50

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('meleager', '0005_auto_20210420_0211'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalPassage',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('unique_id', models.IntegerField(blank=True, db_index=True)),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('validation', models.IntegerField(choices=[(0, 'Validation level 0, see ValidationLevelName.validation_level = 0 for the validation level name.'), (1, 'Validation level 1, see ValidationLevelName.validation_level = 1 for the validation level name.')], default=0, help_text='The current validation level of this resource.')),
                ('fragment', models.IntegerField(db_index=True, help_text='The fragment number in book.')),
                ('sub_fragment', models.CharField(blank=True, db_index=True, default='', help_text='The sub fragment number in book.', max_length=3)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('book', models.ForeignKey(blank=True, db_constraint=False, help_text='Book the passage is in', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='meleager.book')),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, help_text='The creator of this resource.', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', related_query_name='meleager_passages_creator', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('last_editor', models.ForeignKey(blank=True, db_constraint=False, help_text='The last editor of this resource.', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', related_query_name='meleager_passages_last_editor', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical passage',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
