# Generated by Django 3.1.1 on 2021-05-15 19:30

from django.db import migrations, models
import django.db.models.deletion
from django.conf import settings

def create_citypassage_relations(apps, schema_editor):
    Passage = apps.get_model('meleager', 'Passage')
    CityPassage = apps.get_model('meleager', 'CityPassage')
    for passage in Passage.objects.all():
        for city in passage.cities.all():
            CityPassage(
                user=None,
                passage=passage,
                city=city,
            ).save()

class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('meleager', '0006_historicalpassage'),
    ]

    operations = [
        migrations.CreateModel(
            name='CityPassage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now=True, verbose_name='timestamp')),
                ('city', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='meleager.city')),
                ('passage', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='meleager.passage')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddConstraint(
            model_name='citypassage',
            constraint=models.UniqueConstraint(fields=('city', 'passage'), name='unique association between city and passage'),
        ),
        migrations.RunPython(create_citypassage_relations, reverse_code=migrations.RunPython.noop),
        migrations.RemoveField(
            model_name='passage',
            name='cities',
        ),
        migrations.AddField(
            model_name='passage',
            name='cities',
            field=models.ManyToManyField(related_name='passages', through='meleager.CityPassage', to='meleager.City'),
        ),
    ]
