# Generated by Django 3.1.1 on 2021-05-15 19:30
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion

def create_keywordpassage_relations(apps, schema_editor):
    Passage = apps.get_model('meleager', 'Passage')
    KeywordPassage = apps.get_model('meleager', 'KeywordPassage')
    for passage in Passage.objects.all():
        for keyword in passage.keywords.all():
            KeywordPassage(
                user=None,
                passage=passage,
                keyword=keyword,
            ).save()

class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('meleager', '0007_citypassage_through'),
    ]

    operations = [
        migrations.CreateModel(
            name='KeywordPassage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now=True, verbose_name='timestamp')),
                ('keyword', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='meleager.keyword')),
                ('passage', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='meleager.passage')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddConstraint(
            model_name='keywordpassage',
            constraint=models.UniqueConstraint(fields=('keyword', 'passage'), name='unique association between keyword and passage'),
        ),
        migrations.RunPython(create_keywordpassage_relations, reverse_code=migrations.RunPython.noop),
        migrations.RemoveField(
            model_name='passage',
            name='keywords',
        ),
        migrations.AddField(
            model_name='passage',
            name='keywords',
            field=models.ManyToManyField(blank=True, help_text='The keywords that tag this resource.', related_name='passages', through='meleager.KeywordPassage', to='meleager.Keyword'),
        ),
    ]
