# Generated by Django 3.1.1 on 2021-05-15 19:30

from django.db import migrations, models
import django.db.models.deletion
from django.conf import settings

m2m_model_name = "CityScholium"
field_name = "cities"
m2m_field_name = "city"
target_model = "City"

def create_relations(apps, schema_editor):
    src_model = apps.get_model('meleager', 'Scholium')
    m2m_model = apps.get_model('meleager', m2m_model_name)
    for scholium in src_model.objects.all():
        objects = getattr(scholium, field_name)
        for obj in objects.all():
            m2m_obj = m2m_model(user=None, scholium=scholium)
            setattr(m2m_obj, m2m_field_name, obj)
            m2m_obj.save()

class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('meleager', '0009_permission_names'),
    ]

    operations = [
        migrations.CreateModel(
            name=m2m_model_name,
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now=True, verbose_name='timestamp')),
                (m2m_field_name, models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=f'meleager.{target_model.lower()}')),
                ('scholium', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='meleager.scholium')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddConstraint(
            model_name=m2m_model_name,
            constraint=models.UniqueConstraint(fields=(m2m_field_name, 'scholium'), name=f'unique association between {m2m_field_name} and scholium'),
        ),
        migrations.RunPython(create_relations, reverse_code=migrations.RunPython.noop),
        migrations.RemoveField(
            model_name='scholium',
            name=field_name,
        ),
        migrations.AddField(
            model_name='scholium',
            name=field_name,
            field=models.ManyToManyField(related_name='scholia', through=f'meleager.{m2m_model_name}', to=f'meleager.{target_model}'),
        ),
    ]
