# Generated by Django 3.1.1 on 2021-11-14 17:10

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


def migrate_internal_references_data(apps, schema_editor):
    User = apps.get_model("meleager_user", "User")
    PassageInternalReference = apps.get_model("meleager", "PassageInternalReference")
    Passage = apps.get_model("meleager", "Passage")

    admin_ap = User.objects.get(is_superuser=True, username="admin_ap")
    for passage in Passage.objects.filter(internal_references__isnull=False):
        for internal_reference in passage.internal_references.all():
            PassageInternalReference.objects.get_or_create(
                from_passage=passage, to_passage=internal_reference, creator=admin_ap
            )


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("meleager", "0017_delete_historicalpassage"),
    ]

    operations = [
        migrations.CreateModel(
            name="PassageInternalReference",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "creator",
                    models.ForeignKey(
                        help_text="The creator of this resource.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="meleager_passageinternalreference_creator",
                        related_query_name="meleager_passageinternalreferences_creator",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "from_passage",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="from_passage",
                        to="meleager.passage",
                    ),
                ),
                (
                    "to_passage",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="to_passage",
                        to="meleager.passage",
                    ),
                ),
            ],
            options={
                "unique_together": {("from_passage", "to_passage")},
            },
        ),
        migrations.RunPython(
            migrate_internal_references_data,
            reverse_code=migrations.RunPython.noop,
        ),
    ]
